Bug 5155 - Лишняя? строка в модуле из-за которой падают скрипты
: Лишняя? строка в модуле из-за которой падают скрипты
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/perl-MIME-tools)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-09-03 16:09 by
Modified: 2007-03-17 05:50 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-09-03 16:09:20
Строка 285 в /usr/lib/perl5/vendor_perl/MIME/Field/ParamVal.pm

$LOG->debug("   field param <$param> = <$params{$param}>");

Can't call method "debug" on an undefined value at
/usr/lib/perl5/vendor_perl/MIME/Field/ParamVal.pm line 285.\n
------- Comment #1 From 2004-09-11 02:55:22 -------
Steps to reproduce?

$ perl -MMIME::Field::ParamVal -le '$MIME::Tools::LOG->debug("asdf")'
$ perl -MMIME::Field::ParamVal -le '$MIME::Field::ParamVal::LOG->debug("asdf")'
$
------- Comment #2 From 2007-03-17 05:48:48 -------
Больше такого кода нет (который использует $LOG).
------- Comment #3 From 2007-03-17 05:50:12 -------
закрываю как FIXED